## Keyring Info

Keyring Info — Keyring Information

## Functions

void | gnome_keyring_info_free ()
GnomeKeyringInfo * | gnome_keyring_info_copy ()
void | gnome_keyring_info_set_lock_on_idle ()
gboolean | gnome_keyring_info_get_lock_on_idle ()
void | gnome_keyring_info_set_lock_timeout ()
guint32 | gnome_keyring_info_get_lock_timeout ()
time_t | gnome_keyring_info_get_mtime ()
time_t | gnome_keyring_info_get_ctime ()
gboolean | gnome_keyring_info_get_is_locked ()

## Types and Values

typedef | GnomeKeyringInfo

## Description

All of these APIs are deprecated. Use libsecret instead.

Use `gnome_keyring_get_info()` or `gnome_keyring_get_info_sync()` to get a GnomeKeyringInfo pointer to use with these functions.

## Functions

### gnome_keyring_info_free ()

    void
    gnome_keyring_info_free (GnomeKeyringInfo *keyring_info);

`gnome_keyring_info_free` is deprecated and should not be used in newly-written code.

Use SecretCollection objects instead.

Free a GnomeKeyringInfo object. If a `NULL` pointer is passed nothing occurs.

#### Parameters

keyring_info | The keyring info to free. |

### gnome_keyring_info_copy ()

    GnomeKeyringInfo *
    gnome_keyring_info_copy (GnomeKeyringInfo *keyring_info);

`gnome_keyring_info_copy` is deprecated and should not be used in newly-written code.

Use SecretCollection objects instead.

Copy a GnomeKeyringInfo object.

#### Parameters

keyring_info | The keyring info to copy. |

#### Returns

The newly allocated GnomeKeyringInfo. This must be freed with `gnome_keyring_info_free()`

### gnome_keyring_info_set_lock_on_idle ()

    void
    gnome_keyring_info_set_lock_on_idle (GnomeKeyringInfo *keyring_info,
                                         gboolean value);

`gnome_keyring_info_set_lock_on_idle` is deprecated and should not be used in newly-written code.

Not supported when using libsecret.

Set whether or not to lock a keyring after a certain amount of idle time.

See also `gnome_keyring_info_set_lock_timeout()`.

#### Parameters

keyring_info | The keyring info. |
value | Whether to lock or not. |

### gnome_keyring_info_get_lock_on_idle ()

    gboolean
    gnome_keyring_info_get_lock_on_idle (GnomeKeyringInfo *keyring_info);

`gnome_keyring_info_get_lock_on_idle` is deprecated and should not be used in newly-written code.

Not supported when using libsecret.

Get whether or not to lock a keyring after a certain amount of idle time.

See also `gnome_keyring_info_get_lock_timeout()`.

#### Parameters

keyring_info | The keyring info. |

#### Returns

Whether to lock or not.

### gnome_keyring_info_set_lock_timeout ()

    void
    gnome_keyring_info_set_lock_timeout (GnomeKeyringInfo *keyring_info,
                                         guint32 value);

`gnome_keyring_info_set_lock_timeout` is deprecated and should not be used in newly-written code.

Not supported when using libsecret.

Set the idle timeout, in seconds, after which to lock the keyring.

See also `gnome_keyring_info_set_lock_on_idle()`.

#### Parameters

keyring_info | The keyring info. |
value | The lock timeout in seconds. |

### gnome_keyring_info_get_lock_timeout ()

    guint32
    gnome_keyring_info_get_lock_timeout (GnomeKeyringInfo *keyring_info);

`gnome_keyring_info_get_lock_timeout` is deprecated and should not be used in newly-written code.

Not supported when using libsecret.

Get the idle timeout, in seconds, after which to lock the keyring.

See also `gnome_keyring_info_get_lock_on_idle()`.

#### Parameters

keyring_info | The keyring info. |

#### Returns

The idle timeout, in seconds.

### gnome_keyring_info_get_mtime ()

    time_t
    gnome_keyring_info_get_mtime (GnomeKeyringInfo *keyring_info);

`gnome_keyring_info_get_mtime` is deprecated and should not be used in newly-written code.

Use `secret_collection_get_modified()` instead.

Get the time at which the keyring was last modified.

#### Parameters

keyring_info | The keyring info. |

#### Returns

The last modified time.

### gnome_keyring_info_get_ctime ()

    time_t
    gnome_keyring_info_get_ctime (GnomeKeyringInfo *keyring_info);

`gnome_keyring_info_get_ctime` is deprecated and should not be used in newly-written code.

Use `secret_collection_get_created()` instead.

Get the time at which the keyring was created.

#### Parameters

keyring_info | The keyring info. |

#### Returns

The created time.

### gnome_keyring_info_get_is_locked ()

    gboolean
    gnome_keyring_info_get_is_locked (GnomeKeyringInfo *keyring_info);

`gnome_keyring_info_get_is_locked` is deprecated and should not be used in newly-written code.

Use `secret_collection_get_locked()` instead.

Get whether the keyring is locked or not.

#### Parameters

keyring_info | The keyring info. |

#### Returns

Whether the keyring is locked or not.

## Types and Values

### GnomeKeyringInfo

    typedef struct GnomeKeyringInfo GnomeKeyringInfo;

`GnomeKeyringInfo` is deprecated and should not be used in newly-written code.